# gp_getseq

## GP

## 2000

## NAME

gp_getseq - 1

## SYNOPSIS

gp_getseq [-n name] [-q] [-v] [-d] [-h] start end [inputfile] [outputfile]

gp_getseq -r [-n name] [-q] [-v] [-d] [-h] [inputfile] [outputfile]

## OPTIONS

-r
  Take the whole sequence and reverse it.

-n name
  Use an alternate name for the sequence.

-v
  Prints the version information.

-d
  Prints lots of debugging information.

-h
  Shows usage information.

inputfile
  file to proces; if not given, will use standard input

outputfile
  file to write the data to; if not given, will use standard output

## DESCRIPTION

gp_getseq cuts out a specific fragment from a sequence or sequences. If the start position is greater then the end position, i.e. the sequence is on the minus strang, gp_getseq accordingly produces a reverse complement.

start denotes the number of the first base to be contained in the new sequence, and end the number of the last base which will be contained in the new sequence.

If the -r option is used, gp_getseq produces the reverse complement of the sequence(s) read.

Usually, gp_getseq takes the name of the original sequence and ads a comment containing the position of the newly produced fragment. If you supply it with the option -n name, name will be assigned to the sequence.

## EXAMPLES

- to cut out the first 100 bases from a sequence called ust.seq, type

  `gp_getseq 1 100 ust.seq`

## SEE ALSO

Genpak(1) gp_acc(1) gp_adjust(1) gp_cdndev(1) gp_cusage(1) gp_digest(1) gp_dimer(1) gp_findorf(1) gp_gc(1) gp_map(1) gp_matrix(1) gp_mkmtx(1) gp_pattern(1) gp_primer(1) gp_qs(1) gp_randseq(1) gp_seq2prot(1) gp_slen(1) gp_tm(1) gp_trimer(1)

## DIAGNOSTICS

All Genpak programs complain in situations you would also complain, like when they cannot find a sequence you gave them or the sequence is not valid.

The Genpak programs do not write over existing files. I have found this feature very useful :-)

## BUGS

I'm sure there are plenty left, so please mail me if you find them. I tried to clean up every bug I could find.

## AUTHOR

January Weiner III <january@bioinformatics.org>